#include <gint/display.h>
#include <gint/keyboard.h>
#include <libprof.h>

#include "config.h"
#include "engine.h"

#include "dialog.h"


int main(void)
{
	extern img_t limg_hina, limg_sariel;

	prof_init();

	char *text[] = {
		"Hey Sariel! How are you?",
		"I was fine until an unpleasant witche entered my garden.",
		"You're not pleased to see me tonight?",
		"Should I recall you stole my scepter yesterday?",
		"It was a joke...",
		"But I did not enjoy it!",
		"You're not fun, Sariel.",
		"Are you kidding me?",
		"Hey, if you're so sensitive, go home!",
		"You've gone too far. I'll take you down!",
		"Ok, let's have a fight then. But I won't do you any favours.",
		NULL
	};

	dialog_t d = {
		{&limg_hina, &limg_sariel},
		text
	};

	dialog(&d);

	prof_quit();

	return 1;
}
